aboutsummaryrefslogtreecommitdiff
path: root/paludis/portage_repository_TEST_setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'paludis/portage_repository_TEST_setup.sh')
-rwxr-xr-xpaludis/portage_repository_TEST_setup.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/paludis/portage_repository_TEST_setup.sh b/paludis/portage_repository_TEST_setup.sh
index 1a902feb2..eccb9b5ca 100755
--- a/paludis/portage_repository_TEST_setup.sh
+++ b/paludis/portage_repository_TEST_setup.sh
@@ -12,12 +12,18 @@ cat-one
cat-two
cat-three
END
+cat <<END > profiles/profile/make.defaults
+ARCH=test
+END
cd ..
mkdir -p repo2/{eclass,distfiles,profiles/profile} || exit 1
cd repo2 || exit 1
cat <<END > profiles/categories || exit 1
END
+cat <<END > profiles/profile/make.defaults
+ARCH=test
+END
cd ..
@@ -26,6 +32,31 @@ cd repo3 || exit 1
echo "# test-repo-3" > profiles/repo_name || exit 1
cat <<END > profiles/categories || exit 1
END
+cat <<END > profiles/profile/make.defaults
+ARCH=test
+END
+cd ..
+
+
+mkdir -p repo4/{eclass,distfiles,profiles/profile} || exit 1
+mkdir -p repo4/{cat-one/{pkg-one,pkg-both},cat-two/{pkg-two,pkg-both}} || exit 1
+cd repo4 || exit 1
+echo "test-repo-4" > profiles/repo_name || exit 1
+cat <<END > profiles/categories || exit 1
+cat-one
+cat-two
+END
+cat <<END > profiles/profile/make.defaults
+ARCH=test
+END
+cat <<END > cat-one/pkg-one/pkg-one-1.ebuild || exit 1
+END
+cat <<END > cat-one/pkg-both/pkg-both-1.ebuild || exit 1
+END
+cat <<END > cat-two/pkg-two/pkg-two-1.ebuild || exit 1
+END
+cat <<END > cat-two/pkg-both/pkg-both-1.ebuild || exit 1
+END
cd ..